"use strict";
{
	const PLUGIN_ID = "MohammadHadi_CordovaToast";
	const PLUGIN_VERSION = "1.0.0.0";
	const PLUGIN_CATEGORY = "other";
	const PLUGIN_CLASS = SDK.Plugins.MohammadHadi_CordovaToast = class MohammadHadi_CordovaToast extends SDK.IPluginBase
	{
		constructor()
		{
			super(PLUGIN_ID);
			SDK.Lang.PushContext("plugins." + PLUGIN_ID.toLowerCase());
			this._info.SetIcon("icon.svg");
			this._info.SetName(lang(".name"));
			this._info.SetDescription(lang(".description"));
			this._info.SetVersion(PLUGIN_VERSION);
			this._info.SetCategory(PLUGIN_CATEGORY);
			this._info.SetAuthor("MohammadHadi");
			this._info.SetHelpUrl(lang(".help-url"));
			this._info.SetIsSingleGlobal(true);
			this._info.SetSupportedRuntimes(["c3"]);
			SDK.Lang.PushContext(".properties");
			this._info.SetProperties([
			]);
			this._info.AddCordovaPluginReference(
				{
					id: "cordova-plugin-x-toast",
					plugin: this,
				});
			SDK.Lang.PopContext();
			SDK.Lang.PopContext();
		}
	};
	PLUGIN_CLASS.Register(PLUGIN_ID, PLUGIN_CLASS);
}
